Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Class EvaluationStackTrace

    java.lang.Object
      com.qizx.api.EvaluationStackTrace

    public class EvaluationStackTrace

extends Object

A level in an evaluation Stack Trace. Points to a location in a source query expression or module.

Returned by an EvaluationException or by the future debugger interface.

Constructor Summary
`EvaluationStackTrace(String signature, String moduleURI, int lineNumber, String srcLine, int columnNumber, int position)` For internal use.

Method Summary
`int` | `getColumnNumber()` Gets the column number of the evaluation point in this stack level.
`int` | `getLineNumber()` Gets the line number of the evaluation point in this stack level.
`String` | `getModuleURI()` Returns the URI of the module location for this stack level.
`int` | `getPosition()` Gets the character position of the evaluation point in this stack level.
`String` | `getSignature()` Returns the signature of the called function, or null in the outermost stack level (main query).
`String` | `getSourceLine()` Gets the text of the line in the source code where the evaluation pointer sits.
`void` | `print(PrintWriter output)` Prints the location and the function signature if any.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluationStackTrace

    public EvaluationStackTrace(String signature,
                                String moduleURI,
                                int lineNumber,
                                String srcLine,
                                int columnNumber,
                                int position)

  For internal use.

  Parameters:
    `signature` -
    `moduleURI` -
    `lineNumber` -
    `srcLine` -
    `columnNumber` -
    `position` -

Method Detail

### getSignature

    public String getSignature()

  Returns the signature of the called function, or null in the outermost stack level (main query).

  Returns:
    a printable form of the function signature (name, arguments, returned type)

### getModuleURI

    public String getModuleURI()

  Returns the URI of the module location for this stack level.

  Returns:
    the physical URI of the module location. Can be null for the main query.

### getPosition

    public int getPosition()

  Gets the character position of the evaluation point in this stack level.

  Returns:
    the character position of the evaluation point in the source XQuery expression.

### getColumnNumber

    public int getColumnNumber()

  Gets the column number of the evaluation point in this stack level.

  Returns:
    the column number of the evaluation point in the source XQuery expression.

### getLineNumber

    public int getLineNumber()

  Gets the line number of the evaluation point in this stack level.

  Returns:
    the line number of the evaluation point in the source XQuery expression.

### getSourceLine

    public String getSourceLine()

  Gets the text of the line in the source code where the evaluation pointer sits.

  Returns:
    the source line without line terminator

### print

    public void print(PrintWriter output)

  Prints the location and the function signature if any.

  Parameters:
    `output` - a PrintWriter output

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD